
/*
   helfdef.h
   
   Pre-defined functions for helicon.
   
   Author: Mark E. Nash
   Date:   June, 1988
*/


/* in helicon.c */

int procmenu(int *, int *);
int procfunc(int *, int *, int *);
int memupdt(unsigned long, int);
int about();


/* in helgraf1.c */

struct grafwindow *open_grafwin(unsigned char, short, short, short, short, 
			short, short, unsigned short, unsigned short, short);
int close_grafwin(struct grafwindow **);
int scale_grafwin(struct grafwindow *, double, double, double, double);
int win_dscale(struct grafwindow *, short, short);
int win_line(struct grafwindow *, double, double, double, double, short);
int win_ell(struct grafwindow *, double, double, double, double, short);
int win_axes(struct grafwindow *, short);
int win_point(struct grafwindow *, double, double, short);
int win_rect(struct grafwindow *, double, double, double, double, short, 
									short);
int win_func(struct grafwindow *, unsigned, double [MAXPARS+1][NUMDIST+1], 
									short);
int clip(struct grafwindow *, double *, double *, double *, double *);
int win_clear(struct grafwindow *, short);
int getpt(short, short);
int ctob(short);


/* in helgraf2.c */

int gtwcurpos(struct grafwindow *, unsigned short, unsigned short);
int gtwgetpos(struct grafwindow *, unsigned short *, unsigned short *);
int eputs_window(struct grafwindow *, char *, short, short);
int eputs_ega(char [], int, int, unsigned, short, short);
int win_char(struct grafwindow *, unsigned char, double, double, short);
int ega_char(unsigned char, int, int);
void egafunc(int, int);
void egaline(int, int, int);
void egareset();
int win_cur(struct grafwindow *);
int plotdat(int);
int dislabs();
int geti(short, short, short, short, char far **, long *);
long isize(short, short, short, short);
int ifree(char far **, long);
int compwin();


/* in helimenu.c */

struct menutop *buildmenus();
struct menutop *btopmenu();
int addmenu(struct menutop *, char *[MAXMENUSIZE], unsigned, short, short);
int additem(struct menu *, char *);
int free_menu(struct menutop **);
int menubar(struct menutop *);
int toghil(struct menutop *, unsigned, unsigned);
int pulldown(struct menutop *, unsigned);
int letgo(struct menutop *, unsigned);
int hilsel(struct menutop *, unsigned, unsigned, unsigned);
struct dialog *buildlogs();
int getds(struct dialog *, int *, int *);
int getebox(struct dialog *, int *);
int free_logs(struct dialog **);
int egaprnt();


/* in helifile.c */

int hel_init();
int hel_exit();
int readatin();
int read_rawdat(FILE *, struct rawcell **);
int gethdat(FILE *, double *, int);
char *pstring(char **);
int free_rawdat(struct rawcell **);
int err_window(char *);
struct grafwindow *msg_window(char *);
int egaprnt();
int prinit();
int printyp();
int hpscrprn(struct grafwindow *, struct grafwindow *, struct grafwindow *,\
short, short, short, short, char far *);
int epscrprn(struct grafwindow *, struct grafwindow *, struct grafwindow *,\
short, short, short, short, char far *);
int hilbtn(struct grafwindow *);
int laserend();


/* in helmath1.c */

int makebins(struct rawcell *, struct topbin **, int *, int);
int free_bins(struct topbin **);
int tickspace(double, double, double *, double *, double *);
int fmeancalc(struct bin *, double *);
int fvarcalc(struct bin *, double, double *);
int meancalc(struct rawcell *, double *);
int varcalc(struct rawcell *, double, double *);
int magcalc(struct bin *, unsigned, double [MAXPARS+1][NUMDIST+1], double *);
double chitest(struct bin *, unsigned, double [MAXPARS+1][NUMDIST+1], double);
double mse(struct bin *, unsigned, double [MAXPARS+1][NUMDIST+1]);
int fval(unsigned, double, double [MAXPARS+1][NUMDIST+1], unsigned, double *);
double binco(long, long);
double fact(int);
double topfact(long, long);
double gamma(double);


/* in helmath2.c */

int rectcalc(struct topbin *, double [MAXPARS+1][NUMDIST+1]);
int tricalc(struct topbin *, double [MAXPARS+1][NUMDIST+1]);
int norcalc(struct topbin *, double [MAXPARS+1][NUMDIST+1]);
int gamcalc(struct topbin *, double [MAXPARS+1][NUMDIST+1]);
int parcalc(struct topbin *, double [MAXPARS+1][NUMDIST+1]);
int fcalc(struct topbin *, double [MAXPARS+1][NUMDIST+1]);
int betacalc(struct topbin *, double [MAXPARS+1][NUMDIST+1]);
int lnorcalc(struct topbin *, double [MAXPARS+1][NUMDIST+1]);
int excalc(struct topbin *, double [MAXPARS+1][NUMDIST+1]);
int dexcalc(struct topbin *, double [MAXPARS+1][NUMDIST+1]);
int gumcalc(struct topbin *, double [MAXPARS+1][NUMDIST+1]);
int chicalc(struct topbin *, double [MAXPARS+1][NUMDIST+1]);
int logcalc(struct topbin *, double [MAXPARS+1][NUMDIST+1]);
int tcalc(struct topbin *, double [MAXPARS+1][NUMDIST+1]);
int weicalc(struct topbin *, double [MAXPARS+1][NUMDIST+1]);
int bincalc(struct topbin *, double [MAXPARS+1][NUMDIST+1]);
int poicalc(struct topbin *, double [MAXPARS+1][NUMDIST+1]);
int geocalc(struct topbin *, double [MAXPARS+1][NUMDIST+1]);


/* in helmath3.c */

int rectgen(double, double [MAXPARS+1][NUMDIST+1], unsigned, double *);
int trigen(double, double [MAXPARS+1][NUMDIST+1], unsigned, double *);
int normgen(double, double [MAXPARS+1][NUMDIST+1], unsigned, double *);
int gamgen(double, double [MAXPARS+1][NUMDIST+1], unsigned, double *);
int pargen(double, double [MAXPARS+1][NUMDIST+1], unsigned, double *);
int fgen(double, double [MAXPARS+1][NUMDIST+1], unsigned, double *);
int betagen(double, double [MAXPARS+1][NUMDIST+1], unsigned, double *);
int lnorgen(double, double [MAXPARS+1][NUMDIST+1], unsigned, double *);
int exgen(double, double [MAXPARS+1][NUMDIST+1], unsigned, double *);
int dexgen(double, double [MAXPARS+1][NUMDIST+1], unsigned, double *);
int gumgen(double, double [MAXPARS+1][NUMDIST+1], unsigned, double *);
int chigen(double, double [MAXPARS+1][NUMDIST+1], unsigned, double *);
int loggen(double, double [MAXPARS+1][NUMDIST+1], unsigned, double *);
int tgen(double, double [MAXPARS+1][NUMDIST+1], unsigned, double *);
int weigen(double, double [MAXPARS+1][NUMDIST+1], unsigned, double *);
int bingen(double, double [MAXPARS+1][NUMDIST+1], unsigned, double *);
int poigen(double, double [MAXPARS+1][NUMDIST+1], unsigned, double *);
int geogen(double, double [MAXPARS+1][NUMDIST+1], unsigned, double *);


/* in helevent.c */

int GetNextEvent(char *);
int setcpos(struct menutop *, char);
int chkpop(struct menutop *);
int chkbar(struct menutop *);
int chkmenu(struct menutop *, int);
int curnrgn(struct hibox *);
struct dialog *do_dialog(int);
int dedit(struct editbox *, struct grafwindow *);
int fmouse();
int bdist();

