
/*
   helimess.h
   
   Messages used in Helicon.
   
   Author: Mark E. Nash
   Date:   June, 1988
*/

/* init messages */

#define	I_NOEGA		"\n\7EGA graphics mode not supported."
#define	I_SAPN		"\n\7_setactivepage() returned negative."
#define	I_SVPN		"\n\7_setvisualpage() returned negative."


/* Prompt messages */

#define	ERRPROMP	"Press <RETURN> to continue.."
#define	MERRPROMP	"Click in this window to continue.."



/* File error messages */

#define	F_FNF		"File %s not found."
#define	F_COPEN		"Can't open file %s."
#define	F_DVAR		"Domain variable name has incorrect format or is \
missing from input file."

#define	F_RVAR		"Range variable name has incorrect format or is \
missing from input file."

#define	F_DDAT		"Domain data has incorrect format or is missing from \
input file line %d."

#define	F_NODAT		"No valid data found in input file."


/* data error */
#define	D_NOMINX	"No minimum x value in raw data list in makebins()"
#define	D_RANOUT	"Ran out of data xmax=%f, bin=%d, numbins=%d"
#define D_NORAW		"There is no data to plot."
#define D_NOBINS	"Data must be plotted before it can be fit."
#define D_ORDER		"Raw data list is out of order, %g is before %g."
#define D_NOMAX		"Max bin different than header = %d in %s."
#define D_BADPAR	"Can't fit %s Dist: %s = %g must be greater than %s."
#define D_BADPR2	"Can't fit %s Dist: %s=%g must be greater than %g=%s."
#define D_BADRAN	"Can't fit %s Dist: %s = %g must be in interval [0,1]"
#define D_BMINMAX	"Minimum = %g must be less than the maximum = %g"
#define D_BMED		"Median = %g must be within interval [%g, %g]"
#define D_BSMED		"Indicator point %g must be within interval [%g, %g]"
#define	D_BDGEN		"generated point %g is out of range [%g, %g]"


/* memory error messages */

/* memory errors such as bad malloc()'s and bad heap checks are indicated with
   a single bell before termination. */
   
   
/* graphics error messages */

/* graphics errors such as bad rectangle drawing (low level routines) are
   indicated with a triple bell before termination. */


/* window error messages */

#define	W_NOPTR		"No window ptr in %s"
#define	W_BADSCALE	"Bad window scale for scale_grafwin()"


/* Math error messages */

#define	M_NOBINS	"Number of bins must be greater than 0."
#define	M_NOMEAN	"Can't calculate the mean - no points."
#define	M_NOVAR		"Can't calculate the variance - no points."
#define	M_NOVPT		"Must have at least 2 points to calculate variance."
#define	M_NOMAG		"Can't calculate the magnitude - no points."
#define	M_NOMSE		"Can't calculate the mse - no points."
#define	M_NOCS		"Can't do cs goodness of fit calculation - no points."
#define M_IGPT		"Ignoring data points that are in undefined domains."
#define	M_BADB		"Can't calculate Binomial if mean <= variance."
#define M_BADNOM	"Denominator = 0 in %s."


/* menu errors */
#define	U_NOADD		"Couldn't addmenu() title = %s"
#define	U_NOITEM	"Couldn't additem() item = %s"
#define	U_BIGITEM	"Item = %s too big to add to menu %s"


/* other errors */
#define	P_BADDT		"bad distribution type = %d in fval()"


/* informational messages */
#define	I_RDFILE	"Please wait...  Input file %s is being read in."
#define	I_CALC		"Parameters of the %s distribution are being \
calculated."
#define	I_BCALC		"Frequency distribution being built..."
#define	I_PGEN		"Custom distribution points are being generated..."


/* dialog error messages */
#define	L_NULLID	"Null id received in %s."
#define L_NOID		"bad id = %d in %s."
#define L_BADED		"Error return from dedit()."


/* printer errors */
#define R_NOSUP		"Printer type %s is not supported."
#define	R_BADTYP	"bad printer type = %d in %s."

